<?php
// Restrict
if(!defined('ABSPATH') || !defined('IQ_RPW_CORE_DIR')) {
	die();
}
if (!function_exists('is_plugin_active')) {
	include_once(ABSPATH . 'wp-admin/includes/plugin.php');
}

if(!isset($cIQ_RPW_ReferralClass)) {
	require_once IQ_RPW_CORE_DIR.'/includes/inc_referral_class.php';
	$cIQ_RPW_ReferralClass = new IQ_RPW_ReferralClass();
}

?>
<div class="iq_ref_list_preblock">
	<div class="iq_ref_list_block iq_ref_hided">
		<h2 class="iq_ref_head_block">
			<?php echo esc_html__('Withdrawal applications', 'iq-referral-program-for-woocommerce'); ?>
		</h2>
		<?php
		if(!is_plugin_active('woocommerce/woocommerce.php')) {
			?>
			<div class="iq_ref_alert_block iq_ref_err">
				<?php echo esc_html__('For the affiliate program to work, you need install and activated Woocommerce plugin', 'iq-referral-program-for-woocommerce'); ?>
			</div>
			<?php
		} else {
			// POSTS
			$szErr = '';
			$bErr = false;
			if(isset($_POST['id_upd_status']) && (int)sanitize_text_field($_POST['id_upd_status'])) {
				$DataArr = [];
				$DataArr['form_id'] = (int)sanitize_text_field($_POST['id_upd_status']);
				$DataArr['comment'] = '';
				if(isset($_POST['comment'])) {
					$DataArr['comment'] = sanitize_text_field($_POST['comment']);
				}
				
				if(!isset($_POST['status']) || (int)sanitize_text_field($_POST['status']) == -2) {
					$szErr = esc_html__("Select status", "iq-referral-program-for-woocommerce");
					$bErr = true;
				}
				$DataArr['status'] = (int)sanitize_text_field($_POST['status']);
				
				$bResult = $cIQ_RPW_ReferralClass->WithdrawChangeStatus($DataArr['form_id'], $DataArr['status'], $DataArr['comment']);
				if(!$bResult) {
					$szErr = esc_html__("An error occurred while trying to update the status", "iq-referral-program-for-woocommerce");
					$bErr = true;
				}
				
				if($bErr) {
					if(empty($szErr)) {
						$szErr = esc_html__("Error", "iq-referral-program-for-woocommerce");
					}
					?>
					<div class="iq_ref_alert_block iq_ref_err iq_ref_button_margin">
						<?php echo esc_html($szErr); ?>
					</div>
					<?php
				} else {
					?>
					<div class="iq_ref_alert_block iq_ref_ok iq_ref_button_margin">
						<?php echo esc_html__("Status updated successfully", "iq-referral-program-for-woocommerce"); ?>
					</div>
					<?php
				}
			}
			
					
			$number = 10;

			$paged = 1;
			if(isset($_GET['paged']) && (int)sanitize_text_field($_GET['paged'])) {
				$paged = (int)sanitize_text_field($_GET['paged']);
			}

			$offset = ($paged - 1) * $number;
			$users = $cIQ_RPW_ReferralClass->getWithdrawApps();
			$total_users = count($users);
			$args = [
				'offset' =>  $offset,
				'number' =>  $number,
			];
			$query = $cIQ_RPW_ReferralClass->getWithdrawApps($args);
			$total_users = count($users);
			$total_query = count($query);
			$total_pages = intval($total_users / $number) + 1;

			$iCollumsCount = 0;
				
			?>
			<table class="iq_ref_tbl">
				<div class="iq_ref_alert_block iq_ref_info">
					<?php echo esc_html__('In this section, applications for the withdrawal of your partners are provided', 'iq-referral-program-for-woocommerce'); ?>
				</div>
				<thead>
				<tr>
					<th scope="col">
						<?php echo esc_html__('Partner', 'iq-referral-program-for-woocommerce'); ?>
						<?php $iCollumsCount++ ?>
					</th>
					<th scope="col">
						<?php echo esc_html__('System', 'iq-referral-program-for-woocommerce'); ?>
						<?php $iCollumsCount++ ?>
					</th>
					<th scope="col">
						<?php echo esc_html__('Requisites', 'iq-referral-program-for-woocommerce'); ?>
						<?php $iCollumsCount++ ?>
					</th>
					<th scope="col">
						<?php echo esc_html__('Sum', 'iq-referral-program-for-woocommerce'); ?>
						<?php $iCollumsCount++ ?>
					</th>
					<th scope="col">
						<?php echo esc_html__('Date', 'iq-referral-program-for-woocommerce'); ?>
						<?php $iCollumsCount++ ?>
					</th>
					<th scope="col">
						<?php echo esc_html__('Status', 'iq-referral-program-for-woocommerce'); ?>
						<?php $iCollumsCount++ ?>
					</th>
				</tr>
				</thead>
				<tbody>
				<?php
				if(!$query) {
					?>
					<tr>
						<td colspan="<?php echo esc_attr($iCollumsCount); ?>">
							<?php
							if($paged <= 1) {
								?>
								<div class="iq_ref_table_no_results">
									<?php echo esc_html__('There are currently no applications', 'iq-referral-program-for-woocommerce'); ?>
								</div>
								<?php
							}
							?>
						</td>
					</tr>
					<?php
				} else {
					foreach($query AS $q) {
						// Status
						$StatusArr = [
							'block_class' => '',
							'block_text' => '',
						];
						switch($q['status']) {
							case -1: {
								// в обработке
								$StatusArr['block_class'] = 'mo_ref_status_ws_process';
								$StatusArr['block_text'] = esc_html__('In process...', 'iq-referral-program-for-woocommerce');
								break;
							}
							case 0: {
								// ошибка
								$StatusArr['block_class'] = 'mo_ref_status_ws_err';
								$StatusArr['block_text'] = esc_html__('Error', 'iq-referral-program-for-woocommerce');
								break;
							}
							case 1: {
								// выполнена
								$StatusArr['block_class'] = 'mo_ref_status_ws_success';
								$StatusArr['block_text'] = esc_html__('Completed', 'iq-referral-program-for-woocommerce');
								break;
							}
						}
						
						?>
						<tr class="cursor_hover" onclick="IQ_RPW_WsDetail(<?php echo esc_js($q['id']); ?>);">
							<td data-label="<?php echo esc_html__('Partner', 'iq-referral-program-for-woocommerce'); ?>">
								<?php echo esc_html($q['user_login']); ?>
							</td>
							<td data-label="<?php echo esc_html__('System', 'iq-referral-program-for-woocommerce'); ?>">
								<?php echo esc_html($q['system_name']); ?>
							</td>
							<td data-label="<?php echo esc_html__('Requisites', 'iq-referral-program-for-woocommerce'); ?>">
								<?php echo esc_html($q['requisites']); ?>
							</td>
							<td data-label="<?php echo esc_html__('Sum', 'iq-referral-program-for-woocommerce'); ?>">
								<?php
								// check comission
								if($q['comission']) {
									$q['sum_total'] = $q['sum'] - ($q['comission'] * $q['sum'] / 100);
								} else {
									$q['sum_total'] = $q['sum'];
								}
								?>
								<ul class="iq_ref_ulcl">
									<li class="iq_ref_li_clear">
										<span class="iq_ref_sum_txt">
											<?php echo esc_html( func_iq_rpw_raz_float($q['sum_total'], 2) . ' ' . func_iq_rpw_out_protect($q['currency'], 'curr') ); ?>
										</span>
									</li>
									<li class="iq_ref_li_clear iq_ref_font_11 iq_ref_color_gray">
										<?php if($q['comission']) { ?>
											( -<?php echo esc_html( '-' . $q['comission'] . '%'); ?> <?php echo esc_html__('comission', 'iq-referral-program-for-woocommerce'); ?> )
										<?php } ?>
									</li>
								</ul>
							</td>
							<td data-label="<?php echo esc_html__('Date', 'iq-referral-program-for-woocommerce'); ?>">
								 <?php echo esc_html__(date('d.m.Y H:i:s', $q['date'])); ?>
							</td>
							<td data-label="<?php echo esc_html__('Status', 'iq-referral-program-for-woocommerce'); ?>" class="iq_ref_status_pos <?php echo esc_attr($StatusArr['block_class']); ?>">
								<?php echo esc_html($StatusArr['block_text']); ?>
							</td>
						</tr>
						<tr>
							<td colspan="<?php echo esc_attr($iCollumsCount); ?>" style="padding:0px;">
								<div id="<?php echo esc_attr( 'detail_' . $q['id'] ); ?>" class="iq_ref_detail_block" style="display:none;text-align:left;">
									<form  method="POST">
										<input type="hidden" name="id_upd_status" value="<?php echo esc_attr($q['id']); ?>">
										<h3>
											<?php echo esc_html__('Change status', 'iq-referral-program-for-woocommerce'); ?>
										</h3>
										<ul class="iq_ref_ulcl">
											<li class="iq_ref_li">
												<div class="iq_ref_li_head">
													<?php echo esc_html__('Choose new status', 'iq-referral-program-for-woocommerce'); ?>
												</div>
												<select class="iq_ref_select iq_ref_select_default" name="status">
													<option value="-2">
														<?php echo esc_html__('- Select status -', 'iq-referral-program-for-woocommerce'); ?>
													</option>
													<option value="-1">
														<?php echo esc_html__('In process...', 'iq-referral-program-for-woocommerce'); ?>
													</option>
													<option value="0">
														<?php echo esc_html__('Error', 'iq-referral-program-for-woocommerce'); ?>
													</option>
													<option value="1">
														<?php echo esc_html__('Completed', 'iq-referral-program-for-woocommerce'); ?>
													</option>
												</select>
											</li>
											<li class="iq_ref_li">
												<div class="iq_ref_li_head">
													<?php echo esc_html__('Comment', 'iq-referral-program-for-woocommerce'); ?>
												</div>
												<div id="block_admin_change_status" class="">
													<textarea class="iq_ref_textarea" rows="5" name="<?php echo esc_attr( 'comment_' . $q['id'] ); ?>" id="<?php echo esc_attr( 'comment_' . $q['id'] ); ?>" placeholder="<?php echo esc_html__('Comment (not necessary)', 'iq-referral-program-for-woocommerce'); ?>"></textarea>
												</div>
												<button type="submit" class="iq_ref_button_light_blue iq_ref_button_margin">
													<?php echo esc_html__('Change', 'iq-referral-program-for-woocommerce'); ?>
												</button>
											</li>
										</ul>
									</form>
								</div>
							</td>
						</tr> 
						<?php
					}
				}
				?>
				</tbody>
			</table>
			<?php
			if ($total_users > $total_query) {
				?>
				<div id="pagination" class="iq_ref_paged_block clearfix">
					<?php
					$current_page = max(1, $paged);
					echo paginate_links(array(
						'base'      => get_pagenum_link(1) . '%_%',
						'format'    => '&paged=%#%',
						'current'   => $current_page,
						'total'     => $total_pages,
						'prev_next' => false,
						'type'      => 'list',
					));
					?>
				</div>
				<?php
			}
		}
		?>
		
		<!-- Copyright -->
		<div class="iq_ref_copyright_block">
			<?php
			$copyright_url = 'https://lumpx.com/wp-plugins';
			?>
			<a href="<?php echo esc_url($copyright_url); ?>" target="_blank" class="iq_ref_copyright_a">Developed by LumpX</a>
		</div>
	</div>
</div>